Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSwitchSettings({
networkId: "string",
});
export const merakiNetworksSwitchSettingsExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_switch_settings(network_id="string")
pulumi.export("merakiNetworksSwitchSettingsExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSwitchSettings(ctx, &networks.LookupSwitchSettingsArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSwitchSettingsExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSwitchSettings.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSwitchSettingsExample"] = example.Apply(getSwitchSettingsResult => getSwitchSettingsResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSwitchSettingsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSwitchSettings(GetSwitchSettingsArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSwitchSettingsExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSwitchSettings
arguments:
networkId: string
outputs:
merakiNetworksSwitchSettingsExample: ${example.item}
Using getSwitchSettings
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSwitchSettings(args: GetSwitchSettingsArgs, opts?: InvokeOptions): Promise<GetSwitchSettingsResult>
function getSwitchSettingsOutput(args: GetSwitchSettingsOutputArgs, opts?: InvokeOptions): Output<GetSwitchSettingsResult>def get_switch_settings(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSwitchSettingsResult
def get_switch_settings_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSwitchSettingsResult]func LookupSwitchSettings(ctx *Context, args *LookupSwitchSettingsArgs, opts ...InvokeOption) (*LookupSwitchSettingsResult, error)
func LookupSwitchSettingsOutput(ctx *Context, args *LookupSwitchSettingsOutputArgs, opts ...InvokeOption) LookupSwitchSettingsResultOutput> Note: This function is named LookupSwitchSettings in the Go SDK.
public static class GetSwitchSettings
{
public static Task<GetSwitchSettingsResult> InvokeAsync(GetSwitchSettingsArgs args, InvokeOptions? opts = null)
public static Output<GetSwitchSettingsResult> Invoke(GetSwitchSettingsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSwitchSettingsResult> getSwitchSettings(GetSwitchSettingsArgs args, InvokeOptions options)
public static Output<GetSwitchSettingsResult> getSwitchSettings(GetSwitchSettingsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSwitchSettings:getSwitchSettings
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSwitchSettings Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Settings Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Settings Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Settings Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Settings Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Settings Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSwitchSettingsItem
- Mac
Blocklist GetSwitch Settings Item Mac Blocklist - MAC blocklist
- Power
Exceptions List<GetSwitch Settings Item Power Exception> - Exceptions on a per switch basis to "useCombinedPower"
- Uplink
Client GetSampling Switch Settings Item Uplink Client Sampling - Uplink client sampling
- Use
Combined boolPower - The use Combined Power as the default behavior of secondary power supplies on supported devices.
- Vlan int
- Management VLAN
- Mac
Blocklist GetSwitch Settings Item Mac Blocklist - MAC blocklist
- Power
Exceptions []GetSwitch Settings Item Power Exception - Exceptions on a per switch basis to "useCombinedPower"
- Uplink
Client GetSampling Switch Settings Item Uplink Client Sampling - Uplink client sampling
- Use
Combined boolPower - The use Combined Power as the default behavior of secondary power supplies on supported devices.
- Vlan int
- Management VLAN
- mac
Blocklist GetSwitch Settings Item Mac Blocklist - MAC blocklist
- power
Exceptions List<GetSwitch Settings Item Power Exception> - Exceptions on a per switch basis to "useCombinedPower"
- uplink
Client GetSampling Switch Settings Item Uplink Client Sampling - Uplink client sampling
- use
Combined BooleanPower - The use Combined Power as the default behavior of secondary power supplies on supported devices.
- vlan Integer
- Management VLAN
- mac
Blocklist GetSwitch Settings Item Mac Blocklist - MAC blocklist
- power
Exceptions GetSwitch Settings Item Power Exception[] - Exceptions on a per switch basis to "useCombinedPower"
- uplink
Client GetSampling Switch Settings Item Uplink Client Sampling - Uplink client sampling
- use
Combined booleanPower - The use Combined Power as the default behavior of secondary power supplies on supported devices.
- vlan number
- Management VLAN
- mac_
blocklist GetSwitch Settings Item Mac Blocklist - MAC blocklist
- power_
exceptions Sequence[GetSwitch Settings Item Power Exception] - Exceptions on a per switch basis to "useCombinedPower"
- uplink_
client_ Getsampling Switch Settings Item Uplink Client Sampling - Uplink client sampling
- use_
combined_ boolpower - The use Combined Power as the default behavior of secondary power supplies on supported devices.
- vlan int
- Management VLAN
- mac
Blocklist Property Map - MAC blocklist
- power
Exceptions List<Property Map> - Exceptions on a per switch basis to "useCombinedPower"
- uplink
Client Property MapSampling - Uplink client sampling
- use
Combined BooleanPower - The use Combined Power as the default behavior of secondary power supplies on supported devices.
- vlan Number
- Management VLAN
GetSwitchSettingsItemMacBlocklist
- Enabled bool
- Enable MAC blocklist for switches in the network
- Enabled bool
- Enable MAC blocklist for switches in the network
- enabled Boolean
- Enable MAC blocklist for switches in the network
- enabled boolean
- Enable MAC blocklist for switches in the network
- enabled bool
- Enable MAC blocklist for switches in the network
- enabled Boolean
- Enable MAC blocklist for switches in the network
GetSwitchSettingsItemPowerException
- power_
type str - Per switch exception (combined, redundant, useNetworkSetting)
- serial str
- Serial number of the switch
GetSwitchSettingsItemUplinkClientSampling
- Enabled bool
- Enable client sampling on uplink
- Enabled bool
- Enable client sampling on uplink
- enabled Boolean
- Enable client sampling on uplink
- enabled boolean
- Enable client sampling on uplink
- enabled bool
- Enable client sampling on uplink
- enabled Boolean
- Enable client sampling on uplink
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
